WESNOTH(6)

NAMN
wesnoth - Kampen om Wesnoth, ett dragbaserat strategispel i fantasymiljö

SYNOPSIS
wesnoth [FLAGGOR] [DATAMAPP]

BESKRIVNING
Kampen om Wesnoth är ett dragbaserat strategispel som utspelar sig i fantasymiljö. Besegra alla fiendeledare med dina handplockade trupper och hushåll med dina resurser av guld och byar. Alla trupper har sina egna fördelar och nackdelar; för att vinna måste du använda trupperna där de kommer till störst nytta, samtidigt som du tvingar dina fiender till att slåss på sämre villkor. Dina trupper samlar erfarenhet och får nya förmågor och blir mäktigare. Spela på ditt eget språk och pröva dina färdigheter mot en smart datormotståndare, eller anslut dig till Wesnoths stora följe av nätverksspelare. Skapa dina egna truppslag, scenarier och kampanjer, och dela med dig av dem till andra spelare.

FLAGGOR

--bpp nummer
    anger antalet bitar per pixel. Exempel: --bpp 32

--compress <infil> <utfil>
    komprimerar en fil (infil) med ett sparat spel i WML-textformat till en fil i binärt WML-format (utfil).

-d, --debug
    visar extrainformation för debuggning och aktiverar debug-kommandon för kommandoradsläget i spelet (se wikin på http://www.wesnoth.org/ för mer information om kommandoradsläge).

--decompress <infil> <utfil>
    dekomprimerar en fil (infil) med ett sparat spel i binärt WML-format till en fil i WML-textformat (utfil).

-f, --fullscreen
    kör spelet i helskärm.

--fps
    visar antalet ramar per sekund som spelet körs i för närvarande i ena hörnet av fönstret.

-h, --help
    visar en sammanfattning av möjliga kommandoradsflaggor.

--load fil
    kör spelet som finns sparat i filen fil, som finns i spelets standardmapp för sparade spel.

--log-error="domän1,domän2,...", --log-warning="...", --log-info="..."
    anger loggningsnivån för debug-domänerna. För att se allt kan "all" användas. --log-info visar alla meddelanden, --log-warning bara varningar och fel, och --log-error endast fel.

--multiplayer
    kör ett gruppspel. Ytterligare flaggor kan användas tillsammans med --multiplayer såsom beskrivs nedan.

--nocache
    stänger av cachning av speldata.

--nosound
    kör spelet utan ljud och musik.

--path
    visar namnet på speldatamappen.

-r, --resolution XxY
    anger skärmupplösningen. Exempel: -r 800x600

-t, --test
    kör spelet i ett litet testscenario.

-v, --version
    visar versionen.

-w, --windowed
    kör spelet i fönsterläge.

--no-delay
    kör spelet utan fördröjningar för prestandatest av grafiken. Detta används automatiskt om --nogui används.

--exit-at-end
    avslutar spelet så snart scenariot är över, utan att visa seger-/nederlagsdialogen, som kräver att användaren klickar OK. Detta används även för scriptade prestandatest.

Flaggor för --multiplayer
De sidspecifika gruppspelsflaggorna markeras med <number>. <number> måste ersättas med ett sidnummer. Detta är vanligtvis 1 eller 2, men beror på det antal spelare som är möjligt i det valda scenariot.

--algorithm<nummer>=värde
    väljer en icke-standardalgoritm för AI:n som kontrollerar den angivna sidan. Tillgängliga värden är "idle_ai" och "sample_ai".

--controller<nummer>=värde
    väljer hur sidan skall kontrolleras. Möjliga värden är "human" och "ai".

--era=värde
    väljer vilken era som skall användas istället för "standarderan". Eran väljs genom ett id-nummer. Valen finns beskrivna i filen data/multiplayer.cfg.

--nogui
    kör spelet utan det grafiska användargränssnittet. Måste anges före --multiplayer för att ha önskad effekt.

--parm<nummer>=namn:värde
    anger extra parametrar för den valda sidan. Denna parameter beror på vilka flaggor som använts med --controller och --algorithm. Detta torde endast vara användbart för de som designar sin egen AI (ännu inte helt dokumenterat).

--scenario=värde
    väljer ett gruppspelsscenario. Standardscenariet är "multiplayer_Charge".

--side<nummer>=värde
    väljer en fraktion för angiven sida i den valda eran. Fraktionen väljs genom ett id-nummer. Fraktionerna finns beskrivna i filen data/multiplayer.cfg.

--turns=värde
    anger antalet drag för det valda scenariot. Standardvärdet är 50.

Example to test your own AI:
    wesnoth --multiplayer --controller2=python_ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py --side2=Rebels

FÖRFATTARE
Skriven av David White <davidnwhite@verizon.net>.
Redigerad av Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> och Soliton <soliton@sonnenkinder.org>.
Denna manualsida skrevs ursprungligen av Cyril Bouthors <cyril@bouthors.org>.
Besök den officiella hemsidan: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Detta är fri mjukvara; denna mjukvara är licensierad under GPL version 2, såsom publicerad av Free Software Foundation. INGEN garanti ges; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT VISST SYFTE.

SE ÄVEN
wesnoth_editor(6), wesnothd(6)